Package com.pixelmed.display

# Class DicomCleaner.OurDestinationDatabaseTreeBrowser

java.lang.Object
com.pixelmed.database.DatabaseTreeBrowser
com.pixelmed.display.DicomCleaner.OurDestinationDatabaseTreeBrowser

Enclosing class:
  DicomCleaner

protected class DicomCleaner.OurDestinationDatabaseTreeBrowser extends DatabaseTreeBrowser

## Constructor Summary

Constructors
Constructor
Description
`OurDestinationDatabaseTreeBrowser(DatabaseInformationModel d, Container content)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doSomethingWithSelectedFiles(Vector paths)`
Will be called when a selection is made or changed and `doSomethingWithSelections()` returns false and not otherwise.
`protected boolean`
`doSomethingWithSelections(DatabaseTreeRecord[] selections)`
Will be called when a selection is made or changed.

### Methods inherited from class com.pixelmed.database.DatabaseTreeBrowser

`buildMouseListenerToDetectDoubleClickEvents, buildTreeSelectionListenerToDisplayAttributesOfSelectedRecord, buildTreeSelectionListenerToDoSomethingWithSelectedFiles, doSomethingMoreWithWhateverWasSelected, getSelectionPaths, recurseThroughChildrenGatheringFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OurDestinationDatabaseTreeBrowser

public OurDestinationDatabaseTreeBrowser(DatabaseInformationModel d, Container content) throws DicomException

Throws:
  `DicomException`

## Method Details

### doSomethingWithSelections

protected boolean doSomethingWithSelections(DatabaseTreeRecord[] selections)
Description copied from class: `DatabaseTreeBrowser`

Will be called when a selection is made or changed.

Note that during multi-selection, or deselection, this may be called multiple times, so use this method to update cache of what is selected rather than initiating action on the selections, which should be done by some other means.

Overrides:
  `doSomethingWithSelections` in class `DatabaseTreeBrowser`
Parameters:
  `selections` - return true if did something and hence should do no more

### doSomethingWithSelectedFiles

protected void doSomethingWithSelectedFiles(Vector paths)
Description copied from class: `DatabaseTreeBrowser`

Will be called when a selection is made or changed and `doSomethingWithSelections()` returns false and not otherwise.

Note that during multi-selection, or deselection, this may be called multiple times, so use this method to update cache of what is selected rather than initiating action on the selections, which should be done by some other means.

Overrides:
  `doSomethingWithSelectedFiles` in class `DatabaseTreeBrowser`